c |$Id: fmed.f,v 1.1.1.1 2017/09/16 19:19:46 pm Exp $          |
c --------------------------------------------------------------
c | Basic Seismic Utilities                                    |
c | AUTHOR: P. MICHAELS  http://cgiss.boisestate.edu/~pm       | 
c | PROGRAM NAME: fmed.f                                       |
c | DIRECTORY: bsu-2.0.2/src/sublibF4                          |
c |------------------------------------------------------------|
c |  NOTICE:                                                   |
c |  Copyright (C) 2017 Paul Michaels                          |
c |  <pm@cgiss.boisestate.edu>                                 |
c |  This program is free software; you can                    |
c |  redistribute it and/or modify it under the terms          |
c |  of the GNU General Public License as published            |
c |  by the Free Software Foundation; either version           |
c |  3 of the License, or (at your option) any later           |
c |  version.  This program is distributed in the              |
c |  hope that it will be useful, but                          |
c |  WITHOUT ANY WARRANTY; without even the implied            |
c |  warranty of MERCHANTABILITY or FITNESS FOR A              |
c |  PARTICULAR PURPOSE.  See the GNU General Public           |
c |  License for more details.                                 |
c |  You should have received a copy of the GNU                |
c |  General Public License along with this program;           |
c |  if not, write to the Free Software Foundation,            |
c |  Inc., 675 Mass Ave, Cambridge, MA 02139, USA.             |
c |------------------------------------------------------------|
c |                                                            |
c | fmed.f     function to find median value in vector x       |
c |                                                            |
c |------------------------------------------------------------|
      Real*4 Function fmed(x,n)
      real*4 x(*)
c
c.....Assumes n is odd, finds median value in vector x, x(m)
      m=(n/2)+1
c
c.....begin bubble sort
      DO 20 k=1,m
      jhold=k
      hold=x(k)
      kp1=k+1
c
      DO 10 j=k,n
      if (x(j).lt.hold) then
      hold=x(j)
      jhold=j
      endif
10    continue
      x(jhold)=x(k)
      x(k)=hold
20    continue
      fmed=x(m)
      return
      end
