# plot bvax.his using gnuplot
set terminal postscript enhanced font 'Helvetica,10' portrait \
size 5.5,6 in
set output "bvaxplot.ps"
set nokey
set grid
set mxtics; set mytics;
set yrange [100 to 300]
set xlabel "Frequency Hz"
set ylabel "Phase Velocity (m/s)"
set title "Hammer Source stkA.seg"
plot "bvax.his" using 1:2:($3*1.95) w errorbars pt 6 ps .5 lc 0

